GET/v1.0/devices/{corpId}Read-only

Get list of devices for device group.

CLIkajeet-sentinel devices list --corp NORTHSTAR-ISD --limit 50MCPsentinel_devices.list_devices

Parameters

corpIdpathstringrequired

Device Group

offsetquerynumberrequired

The position of the first device for the requested result set. Starts from 0. Will be ignored if export param is specified.

limitquerynumberrequired

The number of devices to return. Will be ignored if export param is specified.

sortquerystringrequired

Sort field

Values: MDN, STATUS, MEDIA_CENTER_STATUS, ESNHEX, UICC, DEVICE_NAME, MONTHLY_LIMIT, MONTHLY_AMOUNT_USED, DAY_AMOUNT_USED, LAST_30_DAYS_USED, DAILY_LIMIT, FILTER_GROUP

sortDirquerystringrequired

Sort direction

Values: ASC, DESC

searchValuequerystring

Search by ESN, MDN, Nickname, IMEI, ICCID, IMSI, MSISDN, MAC, Serial Number, EID

columnsquerystring

Comma separated list of columns for CSV export. Values - IMEI, MDN, STATUS, MEDIA_CENTER_STATUS, DEVICE_NAME, NICKNAME, FILTER_GROUP, SUMMER_STATUS, LAST_30_DAYS_USED, MONTHLY_LIMIT, DAILY_LIMIT, MONTHLY_AMOUNT_USED, DAY_AMOUNT_USED, CORP_ID, CORP_DESCRIPTION, NOTE, UICC, NETWORK, APN, EFFECTIVE_VPN_STATUS, MDN_CUSTOM_FIELD, LABELS, MAC, OEM_SERIAL_NUMBER, NAME, DESCRIPTION, VERIZON_BI_PLAN_ID, SIM_TYPE, EID

exportquerystring

Export format. Currently only CSV is accepted.

labelIdsquerystring

Comma separated list of labelIds

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/devices/NORTHSTAR-ISD?offset=0&limit=25&sort=LAST_30_DAYS_USED&sortDir=DESC&searchValue=Bus&columns=MDN%2CSTATUS%2CIMEI%2CLAST_30_DAYS_USED&export=CSV&labelIds=12%2C18" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
Response · 200 OK
{
  "totalCount": 499,
  "devices": [
    {
      "key": "5212671508",
      "mdn": "521-267-1508",
      "status": "active",
      "network": "Verizon",
      "deviceName": "Kajeet ENT-BYOD",
      "corpDescription": "Northstar Independent School District",
      "monthlyAmountUsed": 31245.43,
      "last30DaysUsed": 31245.43,
      "nickname": "Main Office Hotspot",
      "filterGroup": "Staff",
      "imei": "355737360073462",
      "onlineStatus": true
    },
    {
      "key": "3042286302",
      "mdn": "304-228-6302",
      "status": "active",
      "network": "T-Mobile",
      "deviceName": "SmartSpot AOL-BYOD",
      "corpDescription": "Northstar Independent School District",
      "monthlyAmountUsed": 8106.85,
      "nickname": "Bus #47",
      "filterGroup": "Student_K8",
      "onlineStatus": false
    }
  ]
}

Try this operation in the interactive explorer →